%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%define debug_package %{nil} 

Name:		libfvde
Version:	20170930
Release:	1%{?dist}
Summary:	Library to support the FileVault Drive Encryption (FVDE) format
Group:		System Environment/Libraries
License:	Apache
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libfvde/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	openssl zlib libxml2
BuildRequires:	openssl-devel zlib-devel libxml2-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig

%description
libfvde is a library to support the FileVault Drive Encryption (FVDE) format

%package devel
Summary: Header files and libraries for developing applications for libfvde
Group: Development/Libraries
Requires: libfvde = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libfvde.

%package tools
Summary: Several tools for accessing FileVault encrypted volumes
Group: Applications/System
Requires: libfvde >= %{version}-%{release}  fuse-libs
BuildRequires:  fuse-devel

%description tools
Several tools for accessing the FileVault encrypted volumes

%package python
Summary: Python 2 bindings for libfvde
Group: System Environment/Libraries
Requires: libfvde = %{version}-%{release} python
BuildRequires: python-devel

%description python
Python 2 bindings for libfvde

%if 0%{?centos} != 6
%package python3
Summary: Python 3 bindings for libfvde
Group: System Environment/Libraries
Requires: libfvde = %{version}-%{release} python3
BuildRequires: python3-devel

%description python3
Python 3 bindings for libfvde
%endif

%prep
%setup -q

%build
%if 0%{?centos} == 6
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfvde.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/fvdeinfo
%attr(755,root,root) %{_bindir}/fvdemount
%attr(755,root,root) %{_bindir}/fvdewipekey
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?centos} != 6
%files python3
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Sat Sep 20 2017 Lawrence R. Rogers <lrr@cert.org> 20170930-1
* Release 20170930-1
	Version 20170930

* Tue Oct 13 2015 Lawrence R. Rogers <lrr@cert.org> 20151013-1
* Release 20151013-1
	20151018
	* worked on format support

	20151017
	* worked on Python bindings

	20151013
	* worked on format support

	20151013
	* worked on XML plist

	20151012
	* worked on XML plist

	20151011
	* worked on format support

	20150926
	* added ps1 scripts

	20150720
	* worked on signature check

* Sun Feb 22 2015 Lawrence R. Rogers <lrr@cert.org> 20150222-1
* Release 20150222-1
	20150222
	* Code clean up
	* Worked on documenation
	* Changes for handling 0x001a metadata with different plist key sequence

	20150106
	* 2015 update

	20141226
	* changes for updated dependencies

	20141130
	* code clean up

	20141120
	* code clean up

	20141018
	* removed README.macosx

	20141017
	* changes for deployment

* Sun Sep  7 2014 Lawrence R. Rogers <lrr@cert.org> 20140907-1
* Release 20140907-1
	20140907
	* updated dependencies
	* updated msvscpp files, not operational yet

	20140531
	* updated dependencies

	20140112
	* 2014 update
	* updated dependencies
	* exposed some encryption context plist functions in API

	20130909
	* updated dependencies
	* worked on libcthreads build support

- Auto-generated
* Fri Jun  7 2013 Joachim Metz <joachim.metz@gmail.com> 20130305-1
- Auto-generated

